Subject: SDLC Questions

From: [email-masked] (Paul Gacek)
Date: Thu, 6 May 93 09:15:55 PDT

>From: "Shannon Nix"
>Subject: DLSw Matrix
>Date:  5/06/93    Time:  9:12a
>
>Could someone explain what is meant by enhanced SDLC support?  The issues I 
>have heard to date include: 1) secondary as well as primary  2) group poll 
>as either a primary or secondary station.  What, in the current DLSw 
>specification, is precluding an implementor from supporting primary, 
>secondary or negotiable link station roles as well group poll of any 
>flavor?  These seem like implementation choices rather than DLSw 
>issues.

I agree group poll, primary and secondary support are implementation
 specific.

RFC 1434 is a little "light" on SDLC specific information. One area that
 is unclear to me is SDLC test processing. If we do something similar to
 the token ring processing of AREs as shown on page 12 of the RFC then
 an SDLC test frame generated by a host and sent to a host attached DLS
 router should result in a CANUREACH/ICANREACH/REACH ACK exchange
 with a CU attached DLS router. 

This being the case I have a couple of questions:

1. How is test frame data transferred end to end? I seem to recall frames
 of the form F3 (Test), 12345...

2. After the CANUREACH/ICANREACH/REACH ACK exchange both
 DLS routers enter the CIRCUIT ESTABLISHED state. It is not clear how
 to process subsequent SDLC test frames.

------------------------------------------------------------------------------------------------------------------
To: -SMF71-@sjf-engr{SMF71:[email-masked]}
Cc: pgacek@va
From: Paul Gacek
Subject: Responses to enhancement querie
Date:  5/03/93    Time:  7:44a

>>>    b) SDLC up stream
>>This seems reasonable.  It is somewhat strange that this is not provided
>>considering that being a secondary SDLC station is substantially simpler to
>>implement than being a primary SDLC station.
>>
>I assume you are talking about the 6611 implementation which as you point 
>out is a product detail. While I agree secondary SDLC is easier  than primary 
>SDLC and therefore should "fall out" of any primary implementation, I 
>believe the 6611 only supports primary SDLC at present. End to end SDLC 
>is one way of supporting PU1 SDLC devices (the alternative involves LU 6.2).
>
>One SDLC end to end issue is handling of TESTs.
> 
>>Since a router using DLS would presumeably deliver multiple logical link
>>connections to a single SDLC up stream (host) connection, it would seem to
>>me important that the up-stream connection support the group poll capability
>>already demonstrated on the 3174 token-ring gateway.  That would, in turn,
>>imply that the SDLC down-stream (terminal) support should be capable of
>>group polling an attached device.  That would require IBM releasing
>>additional documentation on how that protocol works.
>>
>Group poll - seems like a good idea but isn't this an implementation specific detail.